Skip to main content
GET
/
account-to-account-transfers
List account-to-account transfers
curl --request GET \
  --url https://api.venlyfinance.com/api/v1/account-to-account-transfers \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sourceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destinationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "cryptocurrency": "USDC",
      "status": "PENDING"
    }
  ],
  "pagination": {
    "pageNumber": 123,
    "pageSize": 123,
    "numberOfElements": 123,
    "numberOfPages": 123,
    "hasNextPage": true,
    "hasPreviousPage": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
default:1

Page number (1-based indexing)

Required range: x >= 1
size
integer<int32>
default:100

Number of items per page

Required range: x >= 1
sourceAccountId
string<uuid>
destinationAccountId
string<uuid>

Response

List of account-to-account transfers

success
boolean

Indicates whether the request was successful

result
object[]
pagination
object

Pagination metadata